# LogDoctor: WarnlistItem Struct Reference

Loading...
Searching...
No Matches
WarnlistItem Struct Referencefinal

## Public Member Functions

const char * | fieldName () const
| Returns the name of the field to which the list is associated.
void | set (const std::vector< std::string > &new_list)
| Replaces the current list with the one provided.
void | add (const std::string &item)
| Adds the provided item to the list.
void | remove (const std::string &item)
| Remove the requested item from the list.
int | moveUp (const std::string &item)
| Moves the requested item one position up in the list.
int | moveDown (const std::string &item)
| Moves the requested item one position down in the list.

## Private Member Functions

std::string | sanitized (const std::string &item) const
| Returns a sanitized item.

## Member Function Documentation

## add()

void WarnlistItem::add | ( | const std::string & | item | ) |

Adds the provided item to the list.

The item will be sanitized before actually being added to the list

Exceptions

  BWlistException,DoNotCatchException |

## fieldName()

const char * WarnlistItem::fieldName | ( |  | ) | const

Returns the name of the field to which the list is associated.

The name is translatable

Exceptions

  DoNotCatchException |

## moveDown()

int WarnlistItem::moveDown | ( | const std::string & | item | ) |

Moves the requested item one position down in the list.

Exceptions

  BWlistException |

## moveUp()

int WarnlistItem::moveUp | ( | const std::string & | item | ) |

Moves the requested item one position up in the list.

Exceptions

  BWlistException |

## remove()

void WarnlistItem::remove | ( | const std::string & | item | ) |

Remove the requested item from the list.

Exceptions

  BWlistException |

## sanitized()

std::string WarnlistItem::sanitized | ( | const std::string & | item | ) | const

private

Returns a sanitized item.

Exceptions

  BWlistException,DoNotCatchException |

## set()

void WarnlistItem::set | ( | const std::vector< std::string > & | new_list | ) |

Replaces the current list with the one provided.

All the items will be sanitized before actually becoming part of the list

Exceptions

  BWlistException,DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/warnlists/modules/warnlist_item.h
- logdoctor/modules/warnlists/modules/warnlist_item.cpp